2011-04-16  Thomas Adam <thomas@fvwm.org>
	* docs/ANNOUNCE:
	* configure.ac:
	Update for 2.6.1

2011-04-16  Thomas Adam <thomas@fvwm.org>
	* configure.ac:
	Fix Fribidi library check to use 0.19.2 as a minimum.

2011-04-15  Thomas Adam <thomas@fvwm.org>
	* libs/FBidi.c (FBidi_convert):
	Compiler warnings fix.
	* libs/fsm.c (CompletNewConnectionMsg):
	Compiler warnings fix.

2011-04-15  Thomas Adam <thomas@fvwm.org>
	* NEWS:
	* configure.ac:
	Updated for the FVWM 2.6.0 stable release.

2011-04-10    <despen@verizon.net>
	* fvwm/fvwm.c (SetRCDefaults): Add fvwm-menu-desktop to built in menu.

2011-04-10  Thomas Adam  <thomas@fvwm.org>
	* acinclude.m4:
	* configure.ac:
	More --as-needed ld fixes for linking against exernal libraries.

2011-04-05  Thomas Adam  <thomas@fvwm.org>
	* fvwm/update.c (apply_window_updates):
	Don't clear all States on WindowStyle.

2011-04-02  Thomas Adam  <thomas@fvwm.org>
	*fvwm/ewmh_conf.c (CMD_EwmhBaseStruts):
	Use EWMH_UpdateWorkArea() and not separate function calls

	Don't assume the work of EWMH_UpdateWorkArea() will only ever call two
	function calls by itself in the future; hence, centralise the call to
	doing that to the correct containing function.

2011-02-05  Thomas Adam  <thomas@fvwm.org>
	* acinclude.m4:
	Fix DSO linker error (ld) with missing "-lfontconfig" for fontconfig
	
	Stricter DSO checks with newer Libc versions requires the linker find
	the symbols elsewhere.  The only one that's missing is "-lfontconfig" as
	we already supply -lX11 -lXent elsewhere.

2011-03-02  Thomas Adam  <thomas@fvwm.org>
	* fvwm/events.c (HandleFocusIn):
	Fix NeverFocus windows when handling FocusIn events.

	Certain button presses on client windows can trigger a FocusIn event on
	the parent (such as opening a menu on a GTK application).  Disallow the
	click to trigger the window receiving focus, as well as redrawing the
	border to reflect the window has focus.

2011-02-14  Thomas Adam  <thomas@fvwm.org>
	* libs/PictureImageLoader.c (PImageLoadPng):
	Use png_get_color_type() as the data type we were previously using is
	now no longer public (Finfo_ptr->color_type).  This is in libpng 1.5 --
	hopefully no need for an #ifdef.

2010-12-19  Thomas Adam  <thomas@fvwm.org>
	* fvwm/builtins.c (CMD_CursorMove):
	Honour EdgeScroll settings to not flip pages when EdgeScroll is
	disabled.

2010-12-04    <despen@verizon.net>

	* fvwm/ConfigFvwmSetup: Better colors in menus and active frames.

2010-11-12  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>
	* fvwm/placement.c (__place_get_placement_flags):
	fix reporting of placement reason with nousposition style.

2010-10-09  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/events.c (__handle_cr_on_client):
	fix resize of shaded windows with a shade direction that does not match
	the window gravity

	* libs/gravity.h:
	* libs/gravity.c (__gravity_override_one_axis):
	(gravity_override_dir):
	new helper functions

	* libs/gravity.c (gravity_combine_xy_dir):
	fixed calculation with only one axis set

2010-09-16  Sergey Vlasov <vsu@altlinux.ru>
	* fvwm/move_resize.c (GetOnePositionArgument):
	Fix parsing of commands like 'Move 50-50w 50-50w'.

2010-08-31  Gerard Vermeulen <gav451@gmail.org>
	* fvwm/move_resize.c (GetOnePositionArgument):
	Parse commands like 'Move w+-5p w+-2p'.

2010-08-09  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	* configure.ac:
	Updated for the FVWM 2.5.31 release.

2010-08-09  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	* configure.ac:
	Updated for the FVWM 2.5.31 release.

2010-08-07  Thomas Adam <thomas@xteddy.org>
	* fvwm/builtins.c (CMD_Exec):
	Remove extraneous whitespace.

2010-07-28  Thomas Adam <thomas@xteddy.org>
	* fvwm/builtins.c (CMD_Exec):
	Close fd if it's not opened successfully.

2010-07-28  Thomas Adam <thomas@xteddy.org>
	* fvwm/update.c (apply_window_updates):
	* NEWS:
	Copy over State settings on WindowStyle command.

	When merging/updating style hints for recaptured windows, ensure we
	preserve any State hints set on the window.

2010-05-22  Thomas Adam <thomas@xteddy.org>
	* fvwm/windowlist.c (CMD_WindowList):
	* NEWS:
	When reporting on a window's width and height ensure we use the
	orig_hints XSizeHints struct for calculating resize increment
	geometries.

2010-05-09  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	* configure.ac:
	Update CVS to use 2.5.31

2010-05-09  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	* configure.ac:
	* docs/ANNOUNCE:
	Updated for the FVWM 2.5.30 release.

2010-05-09  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	Cosmetic clean up for NEWS.

2010-04-28  Dan Espen  <dane@mk.telcordia.com>
	* fvwm/colorset.c (parse_colorset): Remove bogus error message.

2010-04-24  Thomas Adam <thomas@xteddy.org>
	* libs/Fpng.h:
	Define version checks for conditional macros.

	libpng 1.4.0 has different macros for previous version of the same
	macros in libong 1.2.0, so check for them here.

2010-04-18  Thomas Adam <thomas@xteddy.org>
	* libs/charmap.c (charmap_table_to_string):
	Don't allow incremental matching of C_ALL for contexts.

	When printing out bindings, ensure we allow "A" for any/all
	contexts/modifiers to be matched exactly, so that the context column for
	bindings matches with what the user put in their config file.

2010-04-03  Thomas Adam <thomas@xteddy.org>
	* NEWS:
	* configure.ac:
	Updated for the FVWM 2.5.29 release.

2010-04-03  Thomas Adam <thomas@xteddy.org>
	* libs/Fplay.h:
	Cull unused functions when compiling against librplay.

	When compiling with -Werror, ensure we're not trying to use unneeded
	librplay static functions we ourselves declare.

2010-04-03  Thomas Adam <thomas@xteddy.org>
	* fvwm/placement.c (__pl_minoverlap_get_pos_penalty):
	Tweak placement calculation for over-zealous windows.

	Don't adjust a window's position unless it's actually greater than the
	screen's dimension (i.e., potentially placed off screen.)

	2010-03-30  Christoph Fritz <chf.fritz@googlemail.com>
	* fvwm/windowlist.c (CMD_WindowList):
	Free allocated memory.

2010-02-28  Thomas Adam <thomas@xteddy.org>
	* fvwm/move_resize.c (__resize_step):
	Don't explicitly send MotionNotify event during Resize (GeometryWindow)

	When calling DisplaySize() from a resize event performed on a window,
	ensure we use the window's last event (which will be MotionNotify
	anyway) otherwise this completely confuses the GeometryWindow as it has
	to then update itself each time.

	When using Xinerama/TwinView, the effect is that the GeometryWindow
	flickers and/or displays itself on the opposite screen to where the
	pointer is, because the x/y positions don't take into account the
	location of the pointer from the original hand-crafted event, but are
	correct from the execute context the window being resized is called in.

2010-02-06  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/style.c (check_window_style_change):
	* fvwm/update.c (apply_window_updates):
	* fvwm/update.h:
	Propagate Layer changes via Style command on-the-fly.

	Until there's a distinction between initially-mapped styles and runtime
	commands, and that currently, Style commands take effect immediately,
	ensure that for any Layer requests received via Style commands, these
	too are applied immediately.

	The previous assumption was that this was only applicable when mapping a
	new window, but goes against expectations from the user.

2010-01-07  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/read.c (run_command_file):
	Restructure how we look for Read files slightly.

	When searching for files with the Read command, check to see if the file
	first of all has an absolute path and if so open it.  If it's relative
	then search for it in either FVWM_USERDIR or FVWM_DATADIR as before.  If
	the file still can't be found, try and open it outright.  This will
	allow therefore:

	../../some_file

	as a valid filename -- of course this really only makes sense when
	invoking fvwm with "-f" on the command-line, as relative paths to config
	files in this way should be built up using "$."

2010-01-05  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/menustyle.c (menustyle_copy_face):
	Fix segfault setting MenuFace pixmap style for menus.

	As with the tearoff bug from 2010-01-03, ensure we don't try and free a
	non-existent pixmap from an invalid pointer.

2010-01-05  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/read.c (run_command_file):
	Fix opening of files to Read/PipeRead to accept absolute paths.

	Don't just assume "/" is a valid identifier for opening files.  "./" is
	just as likely.  Fixes use-case of:

	fvwm -f ./some_fvwm2rc

2010-01-04  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/events.c (flush_property_notify):
	Add atom to struct so it is checked for by test_typed_window_event().

2010-01-04  David Fries <David@Fries.net>
	* fvwm/events.c (test_typed_window_event):
	* fvwm/events.c (flush_property_notify):
	Efficiently handle flushing property events of the same type.

	* fvwm/events.h (test_typed_window_event_args):
	Add XAtom type to struct.

2010-01-04  David Fries <David@Fries.net>
	* fvwm/virtual.c (HandlePaging):
	Move no page detect check, it wasn't being hit.
	* fvwm/move_resize.c (__move_loop):
	Transform window position to pointer position and back when calling
	HandlePaging.

2010-01-03  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/menustyle.c (menustyle_copy_face):
	Fix segfault when creating a tearoff menu using a Pixmap background.

	When we copy the original menustyle to the new torn-off menu which
	contains a background image, don't then update the menu's pixel
	background color, as this is already free()d for us by an earlier copy
	call.

2009-12-31  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/builtins.c (CMD_BugOpts):
	Remove debug line.

2009-12-31  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/builtins.c (CMD_BugOpts):
	* fvwm/fvwm.c (InitVariables):
	* fvwm/events.c (HandleClientMessage):
	* fvwm/screen.h:
	Add new BugOpts QtDragnDropWorkaround option to handle an oddity in how
	Qt windows handle having ClientMessage events sent to them.

2009-12-30  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/placement.c (__pl_minoverlap_get_pos_penalty):
	Fix y-axis offset calculations when using MinOverlapPlacement, by
	forcing the window on-screen when over-zealous penality calculations
	don't take into account the size of the window borders.

2009-12-26  Thomas Adam <thomas.adam22@gmail.com>
	* bin/fvwm-convert-2.6.1.in:
	Add in BUGS section a note that converting over FvwmTheme lines is
	likely buggy.

2009-12-26  Thomas Adam <thomas.adam22@gmail.com>
	* NEWS:
	* AUTHORS:
	* bin/fvwm-convert-2.6.in:
	* bin/fvwm-convert-2.6.1.in:
	First pass at a fvwm-convert-2.6 script to convert fvwm-2.4 syntax
	files.

2009-12-19  Thomas Adam <thomas.adam22@gmail.com>
	* libs/Flocale.c (FlocaleEncodeString):
	Pre-initialise "len2" to zero, to avoid GCC warning during compilation.

2009-12-12  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/fvwm.c (StartupStuff):
	Reset the state of the "Restarting" flag to False when restarting FVWM.

	* fvwm/events.c (HandleMapRequestKeepRaised):
	Only run InitialMapCommand when FVWM isn't restarting and all windows
	have been recaptured.  The window is already mapped by the time FVWM is
	restarting, and running the InitialMapCommand again only serves to
	"toggle" the window state (c.f. InitialMapCommand Iconic, etc.)

2009-09-20  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* configure.ac:
	increased version number to 2.5.29

	* NEWS:
	updated for 2.5.28 release

2009-08-28  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/ewmh.c (ewmh_ChangeProperty):
	only convert _NET_WM_ICON hint to long before storing

2009-08-26  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/builtins.c (CMD_BugOpts):
	remove unused variables

	* NEWS:
	* fvwm/ewmh.c (ewmh_ChangeProperty):
	fix storing of CARD32 arrays on 64 bit machines

	* fvwm/ewmh_icons.c (ewmh_SetWmIconFromPixmap):
	prevent segmentation fault when reading a bad _NET_WM_ICON hint

2009-08-22	Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/geometry.c (__cs_handle_aspect_ratio):
	Workaround gcc -O3, by declaring local vars as volatile.  This fixes an
	otherwise continual loop when resizing windows when keeping aspect
	ratio (c.f. mplayer.)

2009-08-20  Christoph Fritz <chris_honschu(at)gmx.de>
	* configure.ac:
	Fix typo in AS_HELP_STRING referring to enable-htmldoc

2009-08-19  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/builtins.c (CMD_BugOpts):
	Fix parsing of BugOpts options lists separated by ',', and
	restoring to default value when the boolean option is omitted if
	not inside a list.

	* NEWS:
	Change QT to Qt.

	* NEWS:
	* libs/Flocale.h:
	* libs/Ficonv.h (FiconvSetTransliterateUtf8):
	* libs/Ficonv.c (FiconvSetTransliterateUtf8, translit_csname)
	(is_translit_supported, set_default_iconv_charsets)
	(set_iconv_charset_index, FiconvUtf8ToCharset):
	* fvwm/builtins.c (CMD_BugOpts):
	Add TransliterateUtf8 bug opt for working around clients
	which don't care about the WM_NAME value.

2009-08-09  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/stack.c (BroadcastRestack):
	Fix splitting or M_RESTACK packages causing weird window stacking
	in modules when more than 83 windows are broadcast.

2009-08-04  Thomas Adam <thomas.adam22@gmail.com>
	* configure.ac:
	Remove dnl comments from configure.ac regarding malloc.h -- it's
	self-explanatory anyway.

2009-08-03  Thomas Adam <thomas.adam22@gmail.com>
	* configure.ac:
	Most *BSD platforms are deprecating malloc.h in favout of stdlib.h
	-- this never used to produce compiler warnings, but things are
	starting to become more vocal, so don't use this in our
	./configure script if we're compiling FVWM on a *BSD system.

2009-07-31  Christoph Fritz <chris_honschu(at)gmx.de>

	* fvwm/style.h:
	* fvwm/fvwm.h:
        * fvwm/add_window.c (setup_numeric_vals):
	add "typedef struct snap_attraction_t"
	* fvwm/style.c (style_parse_one_style_option):
	add new SnapAttraction options "None", "ScreenWindows",
	"ScreenIcons" and "ScreenAll"
	* fvwm/move_resize.c (DoSnapAttract):
	Bugfix, option SameType/Icons/Windows did falsely not affect
	conditions of option "Screen" and option "SameType" snapped
	falsely icons and windows together. Implement options
	None/ScreenWindows/ScreenIcons/ScreenAll for differentiated
	screen edge snapping.

2009-07-10  Thomas Adam  <thomas.adam22@gmail.com>
	* fvwm/add_window.c (setup_window_name_count):
	* fvwm/add_window.c (setup_icon_name_count):
	Deprecate these in favour of setup_name_count()

	* fvwm/add_window.c (setup_name_count):
	Amalgamate setup_window_name_count and setup_icon_name_count to just
	one function (very similar code between them.)  Used with
	IndexedWindowName and IndexedIconName.

2009-07-10  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	Fix the options RPlayVolume and RPlayPriority in FvwmEvent.

	* libs/Fplay.h (Fplay_set, Fplay_get, Frptp_putline)
	(Frptp_async_putline):
	Fix ANSI C compatibility.

	* NEWS:
	* fvwm/ewmh_names.c (EWMH_WMName):
	set the HAS_EWMH_WM_NAME flag even if the window name on display
	isn't changing.
	(EWMH_WMIconName):
	same for HAS_EWMH_WM_ICON_NAME

2009-07-08  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	fix for segfault with RPlatHost directive in FvwmEvent
	* libs/Makefile.am (libfvwm_a_SOURCES):
	* libs/Fplay.h:
	add Fplay.h wrapper header for rplay.h

	* NEWS:
	fix debian bug #438132

2009-07-06  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/style.c (fw_match_style_id):
	Fix fvwmstyle resource

2009-07-05  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/events.c (HandleMapRequestKeepRaised):
	Make sure that a PropertyNotify on the WM_STATE property is always
	sent out when a window is requested to be moved to the withdrawn
	state. (Needed by QT)

2009-07-01  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* sample.fvwmrc/DecorMwm:
	* sample.fvwmrc/DecorWin95:
	* sample.fvwmrc/new-features:
	* sample.fvwmrc/system.fvwm2rc:
	* sample.fvwmrc/system.fvwm2rc-sample-1:
	* sample.fvwmrc/system.fvwm2rc-sample-2:
	* sample.fvwmrc/system.fvwm2rc-sample-95:
	Use !-negation for styles instead of No...

	* NEWS:
	fix a typo

	* sample.fvwmrc/system.fvwm2rc-sample-95:
	sed -i '/^#*\(+\|AddToMenu\) "[^%"]*%[^%"]*"/s/%\([^"]*\)/%\1%/'
	sed -i 's/StayOnTop/StaysOnTop/'
	According to patches by Manoj Srivastava

2009-03-17  Mikhael Goikhman  <migo@homemail.com>

	* fvwm/externs.h:
	* fvwm/fvwm.c:
	* fvwm/session.c:
	convert my old code to use var_name and function_name coding style

2009-02-23  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* NEWS:
	* configure.ac:
	increased version to 2.5.28

	* ANNOUNCE:
	* NEWS:
	* configure.ac:
	updated for 2.5.27 release

2009-02-23  Thomas Adam <thomas.adam22@gmail.com>
	* fvwm/bindings.c (print_bindings):
	Fixed compilation of not having libstroke installed by using ifdefs
	around stroke code.

2009-02-22  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/bindings.c (print_bindings):
	slight cleanup

	* libs/charmap.c (charmap_table_to_string):
	several memory menagement fixes.

2009-02-22  Thomas Adam <thomas.adam22@gmail.com>

	* libs/charmap.c (charmap_table_to_string):
	Reduce memory management on the stack, by making only those variables
	to be accessed outside of the function charmap_table_to_string()
	allocated on the heap instead.

	* fvwm/bindings.c (print_bindings):
	b->Action was previously checked whether it was NULL or not before
	printing its value to STDERR -- however, this caused a segfault when
	trying to perform strlen() operations internally -- hence don't bother
	checking if it's NULL.  This avoids segfaulting.

2009-02-05  Thomas Adam <thomas.adam22@gmail.com>

	* libs/charmap.c (charmap_table_to_string):
	* libs/charmap.h:
	Introduce charmap_to_string function which is used to build up a
	binding string, for use with PrintInfo.

	* fvwm/bindings.c (print_bindings):
	Introduce print_bindings to print all bindings known to fvwm.

	* fvwm/builtins.c (CMD_PrintInfo):
	* fvwm/builtins.h:
	Add support for "binding" as an option to PrintInfo.

2009-02-19  Thomas Adam  <thomas.adam22@gmail.com>

	* fvwm/placement.c (__pl_position_get_pos_simple):
	Force the window on-screen if using PositionPlacement UnderMouse.

2009-02-07  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/events.c (HandleMapRequestKeepRaised):
	* fvwm/add_window.c (AddWindow):
	* fvwm/style.h:
	* fvwm/style.c (style_parse_one_style_option):
	add new style InitialMapCommand

2008-02-08  Thomas Adam <thomas.adam22@gmail.com>

	* bin/fvwm-menu-desktop.in:
	Fix the location prefix for GNOME application files.

2008-12-29  Alexandre Julliard  <julliard@winehq.org>

	* fvwm/ewmh_events.c (ewmh_WMStateMaxHoriz):
	Having either _NET_WM_STATE_MAXIMIZED_HORIZ or
	_NET_WM_STATE_MAXIMIZED_HORZ should be enough to make the window
	horizontally maximized.

2008-11-29  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/fvwm.h:
	* fvwm/module_list.c (do_execute_module):
	* fvwm/fvwm.c (fvmm_deinstall_signals):
	restore default signal handlers before execl()/execvp()

2008-10-05  Thomas Adam <thomas.adam22@gmail.com>

	* fvwm/style.c (fw_match_style_id):
	Allow for the window's visible name to be considered when matching a
	style line.  It is possible to use $[w.visiblename] as the style name.
	Whilst the normal name and the visible name are usually the same, in
	the case of having IndxedWindowName, if a style line matches this as a
	visible name, apply it first of all.

2008-10-03  Thomas Adam  <thomas.adam22@gmail.com>
	* AUTHORS:
	* fvwm/expand.c:
	Add $[w.visiblename] as an expansion parameter.

2008-08-12  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/placement.c (__pl_position_get_pos_simple):
	position placement honours StartsOnPage

2008-08-09  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/session.c (MatchWinToSM):
	fixed keeping fullscreen state of windows over a restart; the old code
	tried to do this through session management and effectively overwrote
	the responsible ewmh hint; eventually, fvwm thought that the window
	was fullscreen without actually making it fullscreen

2008-08-08  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/ewmh_events.c (ewmh_MoveResizeWindow):
	fixed compiler warning caused by a logic error in previous patch

	* configure.ac:
	applied png detection fix by Yuri Bushmelev for cross compiliation

	* fvwm/events.c (__handle_cr_on_client):
	fixed event merging with auto motion detection

2008-08-07  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/ewmh_events.c (ewmh_MoveResizeWindow):
	* fvwm/events.h (events_handle_configure_request):
	* fvwm/events.c (events_handle_configure_request):
	(__handle_cr_on_client):
	(__handle_configure_request):
	fix handling of _NET_MOVERESIZE_WINDOW
	(__cr_detect_icccm_move):
	remove douplicate code

2008-08-06  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/add_window.c (setup_frame_window):
	fix compilation without XRender

2008-05-22  Adam Goode  <adam(at)spicenitz(dot)org>

	* AUTHORS:
	* ChangeLog-pre-2.4:
	* rpm/fvwm.spec.in:
	* vms/fvwmrc.dat:
	Convert Latin-1 encodings to UTF-8

2008-05-07  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* NEWS:
	* configure.ac:
	increased version to 2.5.27

	* ANNOUNCE:
	* NEWS:
	* configure.ac:
	updated for 2.5.26 release

2008-04-05  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/ewmh_events.c (ewmh_WMDesktop):
	(ewmh_WMState):
	* fvwm/ewmh.c (ewmh_AddToKdeSysTray):
	(ewmh_HandleWindowType):
	(ewmh_AddToKdeSysTray):
	(ewmh_HandleWindowType):
	(ewmh_check_wm_pid):
	64-bit fix by Alexandre Julliard

2008-03-30  Mikhael Goikhman  <migo@homemail.com>

	* configure.ac:
	fix fribidi detection when it uses pkg-config and not fribidi-config

	* libs/FBidi.c:
	fix compilation with newer fribidi-0.19.1 (or also called fribidi2),
	it now uses fribidi-types.h and not fribidi_types.h

2008-03-21  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/events.c (dispatch_event):
	Fix handling of Shape events.

2008-03-18  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/menus.c (calc_normal_item_height):
	(calc_more_item_height):
	(size_menu_vertically):
	fix calculations so the menu fit on the screen height

2008-03-12  Jes~s Guerrero  <i92guboj(at)terra(dot)es>

	* fvwm/menus.c (size_menu_vertically):
	added paddings at the top and bottom of the menus

	* fvwm/menustyle.c (parse_vertical_margins_line):
	new function to parse the VerticalMargins new MenuStyle
	command

	* fvwm/menustyle.c (menustyle_get_styleopt_index):
	added the VerticalMargins option to the list

	* fvwm/menustyle.c (menustyle_parse_style):
	added default values for the padding, and a case clause
	for the specific case when you invoke the VerticalMargins
	MenuStyle

	* fvwm/menustyle.c (menustyle_copy):
	added two lines to copy the menu styles from origin to destiny

	* fvwm/menustyle.h:
	added macros for the vertical padding stuff

	* fvwm/menustyle.h (struct MenuLook):
	added sub-structure to hold the VerticalMargins

	* fvwm/libs/defaults.h:
	added one define for MAX_MENU_MARGIN

2008-03-09  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/menuitem.c (draw_highlight_background):
	fixed drawing of background pictures in menu items

2008-02-29  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/add_window.c (setup_frame_window):
	fix core dump with ARGB detection code
	fix compilation without XRender

2008-02-26  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* NEWS:
	* configure.ac:
	increased version to 2.5.26

	* ANNOUNCE:
	* NEWS:
	* configure.ac:
	updated for 2.5.25 release

2008-02-12  Renato Caldas  <seventhguardian@gmail.com>

	* fvwm/fvwm.c (main):
	further condense the X visual selection code

2008-02-10  Renato Caldas  <seventhguardian@gmail.com>

	* fvwm/fvwm.c (main):
	condense the X visual selection code

2008-02-09  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/events.c (register_event_group)
	(InitEventHandlerJumpTable, dispatch_event):
	use separate jump tables for events defined by X-extensions
	to eliminate the need to ovverride the LASTEvent value.

	* fvwm/module_list.c (module_list_remove):
	include the case where the module is first in the list in
	the loop, fixing a segmentaion fault when the list was empty.

2008-02-07  Renato Caldas  <seventhguardian@gmail.com>

	* fvwm/add_window.c (setup_frame_window):
	add CWCursor to window's valuemask (from Marc Lehmann's argb patch)
	add preliminary support for ARGB windows in fvwm (based on
	Marc Lehman's argb patch)

2008-02-06  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* libs/PictureUtils.c (XPM_COLOR_CLOSENESS):
	fixed compile error

2008-02-05  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* libs/Colorset.c (CreateOffsetBackgroundPixmap):
	catch BadGC when updating root transparent window background

	* libs/XError.c (do_coredump):
	(ferror_set_temp_error_handler):
	(ferror_reset_error_handler)
	(ferror_call_next_error_handler):

	new helper functions
	* libs/XError.c (PrintXErrorAndCoredump):
	try to dump core the hard way

2008-02-04  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/colorset.c (parse_colorset):
	check for image != None before calling XDestroyImage

	* fvwm/ewmh_events.c (ewmh_WMStateMaxVert):
	(ewmh_WMStateMaxHoriz):
	(ewmh_WMStateModal):
	(ewmh_WMStateShaded):
	(ewmh_WMStateStaysOnTop):
	(ewmh_WMStateStaysOnBottom):
	handle the STATE_ADD command of the EWMH _NET_WM_STATE message from
	version 1.3
	also ignore the EWMH staysontop and staysonbottom hints if the
	EWMHIgnoreStackingOrderHints style is used

	* fvwm/colorset.c (parse_colorset):
	Fixed a sporadic crash when the root background set by gnome,
	fvwm-root, esetroot etc. changes and a root transparent colour set
	is used.

	* fvwm/colorset.c (parse_colorset):
	* libs/PictureUtils.c (alloc_color_dynamic_no_limit):
	* libs/Colorset.c (CreateOffsetBackgroundPixmap):
	* libs/PictureGraphics.c (PGrabXImage)
	(PGraphicsCreateTranslucent):
	use MyXGrabserver and MyXUngrabServer instead of doing the X calls
	directly!

2008-01-31  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* libs/PictureGraphics.c (PGrabXImage):
	fixed XImage memory leak
	(PCreateRenderPixmap):
	(PCreateDitherPixmap):
	Properly handle return code of FgetFImage()

2008-01-30  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/events.c (HandleConfigureRequest):
	(events_handle_configure_request):
	cleanup

	* fvwm/ewmh_events.c (ewmh_RestackWindow):
	(ewmh_MoveResizeWindow):
	fixed crash when moving/resizing/restacking unmanaged windows through
	an ewmh message

2008-01-30  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/events.c (HandleMapRequestKeepRaised):
	fixed compiler warning

2008-01-26  Olivier  <chapuis(at)lri(dot)fr>

	* libs/FlocaleCharset.c: (FlocaleInit_X_Charset),
	(FlocaleCharsetInit), (FlocaleCharsetGetDefaultCharset):
	* NEWS:
	Fixed the determination of the X charset on UTF-8 system

2008-01-09  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/placement.c (__pl_minoverlap_get_next_x):
	do not add screen offset to window position

	* libs/FlocaleCharset.c (FlocaleInit_X_Charset):
	fixed a memory leak

2008-01-07  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	Some html documentation files were not installed.

2008-01-07  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/style.c (style_parse_one_style_option):
	fixed parsing of screen argument of the SnapAttraction Style

2007-12-07  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/move_resize.c (DoSnapAttract):
	Use edge move resistance, and not delay for top edge when moving
	windows.

2007-12-03  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* NEWS:
	* fvwm/events.c (HandleMapRequestKeepRaised)
	(test_withdraw_request):
	Don't map windows that request to be moved back to WithdrawnState
	by the ICCCM2 method before they have been mapped. (Fixes bug with
	disappearing windows.)

2007-11-24  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* NEWS:
	* configure.ac:
	increased version to 2.5.25

	* NEWS:
	* configure.ac:
	updated for 2.5.24 release

2007-11-23  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/menus.c (__mloop_exit):
	* fvwm/menubindings.c (parse_menu_action):
	* fvwm/bindings.c:
	reindented and cleaned up some code

2007-11-16  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/update.c (apply_window_updates):
	* fvwm/add_window.c (setup_style_and_decor):
	(setup_numeric_vals):
	* fvwm/add_window.h:
	* fvwm/style.h:
	* libs/defaults.h:
	* fvwm/events.c (HandleEnterNotify):
	* fvwm/fvwm.c (InitVariables):
	* fvwm/screen.h:
	* fvwm/session.c (SaveGlobalState):
	(LoadGlobalState):
	* fvwm/move_resize.c (DoSnapAttract):
	(CMD_SnapGrid)
	(DoSnapAttract):
	The commands EdgeResistance, SnapGrid and SnapAttraction are obsolete
	They have been replaced by the styles EdgeMoveResistance,
	EdgeMoveDelay, EdgeResizeDelay, SnapGrid and SnapAttraction

2007-10-21  Renato Caldas  <seventhguardian@gmail.com>

	* acinclude.m4:
	* configure.ac:
	use AS_HELP_STRING to format the configure options help strings

2007-10-06  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/conditional.c:
	some reformatting

2007-10-05  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/ConfigFvwmDefaults:
	restore default action of closing menus for menu titles

2007-10-02  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* libs/FScreen.c (FindScreenOfXY):
	* fvwm/move_resize.c (GetMoveArguments):
	fixed the "screen w" argument of the Move and other commands

2007-09-11  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/virtual.c (HandlePaging):
	don't modify *xl and *yt unless we we really page

2007-09-04  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* fvwm/module_list.h:
	* fvwm/module_list.c:
	a little cleanup

2007-09-01  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* NEWS:
	* configure.ac:
	increased version to 2.5.24

	* NEWS:
	* configure.ac:
	updated for 2.5.23 release

	* libs/Flocale.c (FlocaleEncodeString):
	removed previous warning fix

2007-08-30 Thomas Adam <thomas@edulinux.homeunix.org>

	* fvwm/style.c:
	* fvwm/add_window.c:
	Added new style option:  StartShaded.

2007-08-30  Renato Caldas  <seventhguardian@gmail.com>

	* libs/Flocale.c (FlocaleEncodeString):
	fix compile warning

2007-08-30  Viktor Griph  <griph(at)student(dot)chalmers(dot)se>

	* configure.ac:
	* fvwm/fvwm.1.in
	* fvwm/Makefile.am:
	removed old fvwm manpage

2007-08-29  Renato Caldas  <seventhguardian@gmail.com>

	* NEWS:
	* configure.ac:
	increased version to 2.5.23

	* NEWS:
	* configure.ac:
	fix the date for 2.5.22 release

2007-08-28  Viktor Griph  <griph(at)dd(dot)chalmers(dot)se>

	* fvwm/windowlist.c (CMD_WindowList):
	fixed crash when using CurrentAtEnd and IconifiedAtEnd with only
	iconified windows.

2007-08-28  Dominik Vogt  <dominik(dot)vogt(at)gmx(dot)de>

	* configure.ac:
	fixed perl check
	use "test ! ... = ..." instead of "test ... != ..."

	* fvwm/builtins.c (CMD_PropertyChange):
	fixed completely broken parsing of PropertyChange arguments

2007-08-28  Renato Caldas  <seventhguardian@gmail.com>
[--snip--]
